Eclipse Rich Ajax Platform

## org.eclipse.rwt.service
Class SessionStoreEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.rwt.service.SessionStoreEvent

All Implemented Interfaces:
  java.io.Serializable

    public class SessionStoreEvent

extends java.util.EventObject

`SessionStoreListener`s are used to get notifications before the session store is destroyed.

Since:
  1.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SessionStoreEvent(ISessionStore sessionStore)` Creates a new instance of `SessionStoreEvent`.

Method Summary
`ISessionStore` `getSessionStore()` Returns the `ISessionStore` that is about to be destroyed.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionStoreEvent

    public SessionStoreEvent(ISessionStore sessionStore)

  Creates a new instance of `SessionStoreEvent`.

  Parameters:
    `sessionStore` - the session store which is about to be destroyed

Method Detail

### getSessionStore

    public ISessionStore getSessionStore()

  Returns the `ISessionStore` that is about to be destroyed.

  Returns:
    the session store that is about to be destroyed.

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.